Index: utils/tools/SIREN/src/create_layout.f90
===================================================================
--- utils/tools/SIREN/src/create_layout.f90	(revision 12080)
+++ utils/tools/SIREN/src/create_layout.f90	(revision 13369)
@@ -5,5 +5,5 @@
 ! DESCRIPTION:
 !> @file
-!> @brief 
+!> @brief
 !> This program creates/computes the domain layout for you configuration.
 !>
@@ -15,5 +15,5 @@
 !> Then the number of sea/land processors is compute with mask.
 !>
-!> The optimized domain layout is assumed to be the domain layout, with the the most land 
+!> The optimized domain layout is assumed to be the domain layout, with the the most land
 !> processors removed. If no land processor could be removed, it assumed to be the domain layout
 !> with the most sea processors.
@@ -44,5 +44,5 @@
 !>
 !>    here after, each sub-namelist parameters is detailed.
-!>    @note 
+!>    @note
 !>       default values are specified between brackets
 !>
@@ -63,5 +63,5 @@
 !>          - none
 !>
-!>    - **in_maxerror** [@a 5]<br/> 
+!>    - **in_maxerror** [@a 5]<br/>
 !>       maximum number of error allowed
 !>
@@ -71,35 +71,35 @@
 !>    - **cn_varcfg** [@a ./cfg/variable.cfg]<br/>
 !>       path to the variable configuration file.<br/>
-!>       the variable configuration file defines standard name, 
-!>       default interpolation method, axis,... 
-!>       to be used for some known variables.<br/> 
-!>
-!>    - **cn_dimcfg** [@a ./cfg/dimension.cfg]<br/> 
-!>       path to the dimension configuration file.<br/> 
-!>       the dimension configuration file defines dimensions allowed.<br/> 
-!>
-!>    - **cn_dumcfg** [@a ./cfg/dummy.cfg]<br/> 
+!>       the variable configuration file defines standard name,
+!>       default interpolation method, axis,...
+!>       to be used for some known variables.<br/>
+!>
+!>    - **cn_dimcfg** [@a ./cfg/dimension.cfg]<br/>
+!>       path to the dimension configuration file.<br/>
+!>       the dimension configuration file defines dimensions allowed.<br/>
+!>
+!>    - **cn_dumcfg** [@a ./cfg/dummy.cfg]<br/>
 !>       path to the useless (dummy) configuration file.<br/>
-!>       the dummy configuration file defines useless 
+!>       the dummy configuration file defines useless
 !>       dimension or variable. these dimension(s) or variable(s) will not be
 !>       processed.<br/>
 !>
-!> @subsection subvar namvar 
+!> @subsection subvar namvar
 !>    the variable sub-namelist parameters are :
 !>
-!>    - **cn_varfile** [@a ]<br/> 
-!>       list of variable, and associated file 
-!>       @warning 
+!>    - **cn_varfile** [@a ]<br/>
+!>       list of variable, and associated file
+!>       @warning
 !>          variable name must be __Bathymetry__ here.
 !>
 !>    - **cn_varfile** [@a ]<br/>:
-!>       list of variable, and associated file.<br/> 
+!>       list of variable, and associated file.<br/>
 !>       *cn_varfile* is the path and filename of the file where find
 !>       variable to be used as mask grid.<br/>
 !>
-!>       Examples: 
+!>       Examples:
 !>          - 'Bathymetry:bathy_meter.nc'
 !>
-!> @subsection subout namout 
+!> @subsection subout namout
 !>    the output sub-namelist parameters are :
 !>
@@ -114,6 +114,6 @@
 !>       - if *in_niproc*, and *in_njproc* are provided : the program only look for land
 !>         processor to be removed
-!>       - if *in_nproc* is provided : the program compute each possible domain layout, 
-!>         and save the one with the most land processor to be removed 
+!>       - if *in_nproc* is provided : the program compute each possible domain layout,
+!>         and save the one with the most land processor to be removed
 !>       - with no information about number of processors, the program
 !>         assume to use only one processor
@@ -136,5 +136,5 @@
    USE fct                             ! basic useful function
    USE date                            ! date manager
-   USE math                            ! 
+   USE math                            !
    USE att                             ! attribute manager
    USE dim                             ! dimension manager
@@ -174,13 +174,13 @@
 
    TYPE(TMULTI)                            :: tl_multi
-   
+
    ! namelist variable
    ! namlog
-   CHARACTER(LEN=lc)                       :: cn_logfile = 'create_layout.log' 
-   CHARACTER(LEN=lc)                       :: cn_verbosity = 'warning' 
+   CHARACTER(LEN=lc)                       :: cn_logfile = 'create_layout.log'
+   CHARACTER(LEN=lc)                       :: cn_verbosity = 'warning'
    INTEGER(i4)                             :: in_maxerror = 5
 
    ! namcfg
-   CHARACTER(LEN=lc)                       :: cn_varcfg = './cfg/variable.cfg' 
+   CHARACTER(LEN=lc)                       :: cn_varcfg = './cfg/variable.cfg'
    CHARACTER(LEN=lc)                       :: cn_dimcfg = './cfg/dimension.cfg'
    CHARACTER(LEN=lc)                       :: cn_dumcfg = './cfg/dummy.cfg'
@@ -191,5 +191,5 @@
    ! namout
    INTEGER(i4)                             :: in_niproc = 0
-   INTEGER(i4)                             :: in_njproc = 0 
+   INTEGER(i4)                             :: in_njproc = 0
    INTEGER(i4)                             :: in_nproc  = 0
    !-------------------------------------------------------------------
@@ -206,5 +206,5 @@
 
    NAMELIST /namvar/ &  !< source grid namelist
-   &  cn_varfile        !< input file and mask variable   
+   &  cn_varfile        !< input file and mask variable
 
    NAMELIST /namout/ &  !< output namelist
@@ -212,5 +212,5 @@
    &  in_njproc,     &
    &  in_nproc
-   !-------------------------------------------------------------------   
+   !-------------------------------------------------------------------
 
    !
@@ -224,5 +224,5 @@
    IF( il_narg /= 1 )THEN
       WRITE(cl_errormsg,*) ' ERROR : one argument is needed '
-      CALL fct_help(cp_myname,cl_errormsg) 
+      CALL fct_help(cp_myname,cl_errormsg)
       CALL EXIT(1)
    ELSE
@@ -259,5 +259,5 @@
                IF( il_status /= 0 )THEN
                   WRITE(cl_errormsg,*) " ERROR : error opening "//TRIM(cl_namelist)
-                  CALL fct_help(cp_myname,cl_errormsg) 
+                  CALL fct_help(cp_myname,cl_errormsg)
                   CALL EXIT(1)
                ENDIF
@@ -298,5 +298,5 @@
 
                WRITE(cl_errormsg,*) " ERROR : can't find "//TRIM(cl_namelist)
-               CALL fct_help(cp_myname,cl_errormsg) 
+               CALL fct_help(cp_myname,cl_errormsg)
                CALL EXIT(1)
 
@@ -314,5 +314,5 @@
 
       CALL multi_print(tl_multi)
-      
+
       ! open file
       tl_file=file_init(TRIM(tl_multi%t_mpp(1)%c_name))
